#ifndef PLOT_RENDERING_CONFIG_H
#define PLOT_RENDERING_CONFIG_H

#include "qt_version.h"
#include <qobject.h>

#include <QMainWindow>
#include <QComboBox>
#include <QGridLayout>
#include <QPushButton>
#include <QLineEdit>
#include <QInputDialog>
#include <QTabWidget>
#include <QLabel>
#include <QGroupBox>
#include <QDoubleValidator>
#include <QToolTip>
#include <QCheckBox>
#include <QFontDialog>
#include <QDoubleSpinBox>
#include <QFontComboBox>

#include "qt_version.h"
#include "qprofile.h"

class PlotConfig2 : public QWidget
{
	Q_OBJECT
			
	public:
		PlotConfig2();
		
		void setSelectedProfile(QProfile * p);
		
		void updateProfile(QProfile * p);
	
	public slots:

		void sansCheckChanged();
		void serifCheckChanged();
		void monotypeCheckChanged();
		void decorativeCheckChanged();
		
	protected:
		QFontComboBox * sansFontCombo;
		QCheckBox * sansFontCheck;

		QFontComboBox * serifFontCombo;
		QCheckBox * serifFontCheck;

		QFontComboBox * monotypeFontCombo;
		QCheckBox * monotypeFontCheck;

		QFontComboBox * decorativeFontCombo;
		QCheckBox * decorativeFontCheck;
		
		QLineEdit * colourTableEdit;
		
#if QT_VERSION >= 0x040300
		QCheckBox * svgFontsCheck;
#endif
		QDoubleSpinBox * lineWidthBox;
		QDoubleSpinBox * baseFontSizeBox;
        QDoubleSpinBox * gapToleranceBox;
};

#endif
